aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2017-02-23 15:55:24 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-02-23 22:53:31 +0100
commit36fd6fa84a460e1a179f18c5387f0e266fe4796c (patch)
treea288f3ea5895bc9a69a9697947b1a8b58a3ceec5
parent268a8bab9e8c92dbbdd42bbffca83e85ab59ef17 (diff)
downloadbuildroot-36fd6fa84a460e1a179f18c5387f0e266fe4796c.tar.gz
buildroot-36fd6fa84a460e1a179f18c5387f0e266fe4796c.tar.bz2
gst1-plugins-bad: security bump to version 1.10.4
Fixes: CVE-2017-5848 - The gst_ps_demux_parse_psm function in gst/mpegdemux/gstmpegdemux.c in gst-plugins-bad in GStreamer allows remote attackers to cause a denial of service (invalid memory read and crash) via vectors involving PSM parsing. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rw-r--r--package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.hash4
-rw-r--r--package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk2
2 files changed, 3 insertions, 3 deletions
diff --git a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.hash b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.hash
index 2d0f91348c..441afa2c52 100644
--- a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.hash
+++ b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.hash
@@ -1,2 +1,2 @@
-# From http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-1.10.3.tar.xz.sha256sum
-sha256 24099351fb6984c9e7560de06e072ff2e33d0b2db38b8fcc7afefb536e5094e7 gst-plugins-bad-1.10.3.tar.xz
+# From http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-1.10.4.tar.xz.sha256sum
+sha256 23ddae506b3a223b94869a0d3eea3e9a12e847f94d2d0e0b97102ce13ecd6966 gst-plugins-bad-1.10.4.tar.xz
diff --git a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
index b96bfe95e6..00add02af9 100644
--- a/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
+++ b/package/gstreamer1/gst1-plugins-bad/gst1-plugins-bad.mk
@@ -4,7 +4,7 @@
#
################################################################################
-GST1_PLUGINS_BAD_VERSION = 1.10.3
+GST1_PLUGINS_BAD_VERSION = 1.10.4
GST1_PLUGINS_BAD_SOURCE = gst-plugins-bad-$(GST1_PLUGINS_BAD_VERSION).tar.xz
GST1_PLUGINS_BAD_SITE = https://gstreamer.freedesktop.org/src/gst-plugins-bad
GST1_PLUGINS_BAD_INSTALL_STAGING = YES